#if !defined(AFX_MyuComboBox_H__60499935_0FEF_4753_8C33_A5DEC876419E__INCLUDED_)
#define AFX_MyuComboBox_H__60499935_0FEF_4753_8C33_A5DEC876419E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

namespace mwlmfc{

/*
#ifndef DWORD_PTR
	#define DWORD_PTR DWORD
#endif//ULONG_PTR
*/

//	クラス宣言
class CMyuComboBox : public CComboBox
{
// コンストラクション
public:
	CMyuComboBox(){}
	virtual ~CMyuComboBox(){}

	int AddItem( LPCTSTR lpszString, DWORD dwItemData, int nInsertPos=-1 );
	int FindItem( DWORD dwItemData );
	int SelectItem( DWORD dwItemData );
	DWORD GetCurSelData(){ return CComboBox::GetItemData(CComboBox::GetCurSel()); }

private:

};

}//namespace mwlmfc

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_MyuComboBox_H__60499935_0FEF_4753_8C33_A5DEC876419E__INCLUDED_)
